@charset "UTF-8";
/******************************
 3RD PARTY PLUGIN CUSTOMIZATION 
******************************/

/***********************
File Input plugin
************************/
.fileinput {
	width: 100%;
}


/**************************
Bootstrap-TagsInput plugin
***************************/
.bootstrap-tagsinput.form-control {
    height: auto;
    min-height: 34px;
}
.bootstrap-tagsinput.form-control .tag {
    display: inline-block;
}
.bootstrap-tagsinput.disabled .tag [data-role="remove"] {
    display: none;
}
.bootstrap-tagsinput.disabled input {
    display: none;
}
.bootstrap-tagsinput.form-control.input-sm {
	min-height: 30px;
}


/***********************
Datatables
************************/
table.dataTable > thead > tr.filter-row > th {
    background-color: silver;
}

.dataTables_scrollHead {
    overflow-y: visible !important;
}
.dataTables_scrollHead .dataTables_scrollHeadInner table.no-header {
    display: none;
}
.dataTables_scrollHead thead th {
    border-bottom: 0 !important;
}

.dataTables_scrollBody {
    overflow-y: visible !important;
}

.dataTables_scrollFoot .dataTables_scrollFootInner table.no-footer {
    display: none;
}


/***
Row Details
***/
.dataTable .row-details.row-details-close {
  background: url("./img/datatable-row-openclose.png") no-repeat 0 0; }

.dataTable .row-details.row-details-open {
  background: url("./img/datatable-row-openclose.png") no-repeat 0 -23px; }

/***
Buttons
***/
/*
// Para DataTables 1.10.15
a.dt-button, button.dt-button, div.dt-button {
    padding: 5px 10px!important;
    margin-right: 0;
}
*/

/***
Column alignment with bootstrap
***/
table.dataTable th.dt-left,
table.dataTable td.dt-left {
  text-align: left;
}
table.dataTable th.dt-center,
table.dataTable td.dt-center {
  text-align: center;
}
table.dataTable th.dt-right,
table.dataTable td.dt-right {
  text-align: right;
}
table.dataTable th.dt-justify,
table.dataTable td.dt-justify {
  text-align: justify;
}
table.dataTable th.dt-nowrap,
table.dataTable td.dt-nowrap {
  white-space: nowrap;
}
table.dataTable thead th.dt-head-left,
table.dataTable thead td.dt-head-left,
table.dataTable tfoot th.dt-head-left,
table.dataTable tfoot td.dt-head-left {
  text-align: left;
}
table.dataTable thead th.dt-head-center,
table.dataTable thead td.dt-head-center,
table.dataTable tfoot th.dt-head-center,
table.dataTable tfoot td.dt-head-center {
  text-align: center;
}
table.dataTable thead th.dt-head-right,
table.dataTable thead td.dt-head-right,
table.dataTable tfoot th.dt-head-right,
table.dataTable tfoot td.dt-head-right {
  text-align: right;
}
table.dataTable thead th.dt-head-justify,
table.dataTable thead td.dt-head-justify,
table.dataTable tfoot th.dt-head-justify,
table.dataTable tfoot td.dt-head-justify {
  text-align: justify;
}
table.dataTable thead th.dt-head-nowrap,
table.dataTable thead td.dt-head-nowrap,
table.dataTable tfoot th.dt-head-nowrap,
table.dataTable tfoot td.dt-head-nowrap {
  white-space: nowrap;
}
table.dataTable tbody th.dt-body-left,
table.dataTable tbody td.dt-body-left {
  text-align: left;
}
table.dataTable tbody th.dt-body-center,
table.dataTable tbody td.dt-body-center {
  text-align: center;
}
table.dataTable tbody th.dt-body-right,
table.dataTable tbody td.dt-body-right {
  text-align: right;
}
table.dataTable tbody th.dt-body-justify,
table.dataTable tbody td.dt-body-justify {
  text-align: justify;
}
table.dataTable tbody th.dt-body-nowrap,
table.dataTable tbody td.dt-body-nowrap {
  white-space: nowrap;
}

/***
Sorting
***/
table.dataTable thead .sorting {
  background: url("../plugins/datatables/images/sort_both.png") no-repeat center right;
}

table.dataTable thead .sorting_asc {
  background: url("../plugins/datatables/images/sort_asc.png") no-repeat center right;
}

table.dataTable thead .sorting_desc {
  background: url("../plugins/datatables/images/sort_desc.png") no-repeat center right;
}

table.dataTable thead .sorting_asc_disabled {
  background: url("../plugins/datatables/images/sort_asc_disabled.png") no-repeat center right;
}

table.dataTable thead .sorting_desc_disabled {
  background: url("../plugins/datatables/images/sort_desc_disabled.png") no-repeat center right; 
}

table.dataTable th:active {
  outline: none; 
}

/***********************
Yadcf filters
***********************/
/*
table.dataTable thead .filtered:before {
    content: "\f0b0";
    font-family: FontAwesome;
    color: darkred;
    right: 18px;
    position: absolute;
}
*/
table tr.filter-row th {
    padding: 0 !important;
    margin: 0;
}
table.dataTable thead th,
table.dataTable thead td,
table.dataTable tfoot th,
table.dataTable tfoot td {
    vertical-align: top;
}

.yadcf-filter-wrapper {
    margin-left: 0;
}
.yadcf-filter-wrapper-inner {
    border: 0px;
}
.yadcf-filter.ui-autocomplete-input {
    height: 30px;
	width: 100%;
    min-width: 80px;
}
.yadcf-filter-range-number {
    height: 29px;
}
.yadcf-filter-range-date {
    height: 30px;
}
.yadcf-filter-wrapper.input-group-sm .yadcf-filter-range-number-seperator {
	margin-left: 3px;
	margin-right: 3px;
}
.yadcf-filter-wrapper.input-group-sm .yadcf-filter-range-date-seperator {
	margin-left: 3px;
	margin-right: 3px;
}
button.yadcf-filter-reset-button.btn.btn-circle {
    padding: 0px 3px;
    margin-left: 1px;
    font-size: 0.7em;
}

.select2-container--bootstrap {
    width: 100% !important;
}
.input-group-sm .select2-container--bootstrap .select2-selection--multiple {
    min-height: 30px !important;
}
.input-group-sm .select2-container--bootstrap .select2-selection--multiple .select2-search--inline .select2-search__field {
    height: 28px;
}